> ## Documentation Index
> Fetch the complete documentation index at: https://help.impactu.colav.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Affiliation news

> Paginated list of the news associated with the authors of an affiliation.

## Path parameters

**affiliation\_type** `string` *required*

Affiliation type: `institution`, `faculty`, `department` or `group`.

**affiliation\_id** `string` *required*

Affiliation identifier.

## Query parameters

**max** `integer` (default: 10)

Results per page (1 to 250).

**page** `integer` (default: 1)

Page number (minimum 1).

**sort** `string` (default: citations\_desc)

Ascending or descending sort criterion, for example `citations_desc`,
`products_asc` or `alphabetical_desc`.

> [!NOTE]
>
> This endpoint does not accept the `sort` or `view` parameters, or product
> filters. Only `max` and `page` apply.

## Response

**data** `array`

List of the affiliation's news.

**properties of each news item**

**url\_id** `string | null`

Unique identifier of the news URL.

**medium\_id** `string | null`

Identifier of the media outlet.

**url** `string | null`

Direct URL of the news item.

**url\_title** `string | null`

Title of the news item.

**url\_language** `string | null`

Language of the news item, in English and upper case (for example, `SPANISH`).

**url\_date** `string | null`

Publication date of the news item.

**medium** `string | null`

URL of the media outlet's website.

**meta** `object`

Response metadata.

**properties**

**count** `integer`

Total number of results matching the query.

**page** `integer`

Current page.

**size** `integer`

Number of results returned on this page.

**db\_response\_time\_ms** `integer`

Database response time in milliseconds.

**cursor** `object`

**properties**

**next** `string | null`

URL of the next page.

**previous** `string | null`

URL of the previous page.

```json 200 theme={null}
{
  "data": [
    {
      "medium": "https://www.elcolombiano.com/",
      "medium_id": "0",
      "url": "https://www.elcolombiano.com/colombia/salud/antidepresivo-en-spray-que-preguntas-deja-BG10342074",
      "url_date": "2019-03-08 00:01:00+00:00",
      "url_id": "0_1071",
      "url_language": "SPANISH",
      "url_title": "Antidepresivo en spray, ¿qué preguntas deja?"
    },
    {
      "medium": "https://www.elcolombiano.com/",
      "medium_id": "0",
      "url": "https://www.elcolombiano.com/colombia/salud/la-soledad-una-epidemia-moderna-IX8123749",
      "url_date": "2018-02-02 23:00:20+00:00",
      "url_id": "0_1117",
      "url_language": "SPANISH",
      "url_title": "La soledad, ¿una epidemia moderna?"
    }
  ],
  "meta": {
    "count": 2333,
    "cursor": {
      "next": "https://api.dev.impactu.colav.co/affiliation/institution/example-institution-id/research/news?max=2&page=2",
      "previous": null
    },
    "db_response_time_ms": 25,
    "page": 1,
    "size": 2
  }
}
```

```json 400 theme={null}
{
  "error": "1 validation error for QueryParams\nmax\n  Input should be greater than or equal to 1 [type=greater_than_equal, input_value='0', input_type=str]\n    For further i…"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.